Public Class PostulanteEspecialidadBusinessObject
    Inherits BusinessObject(Of PostulanteEspecialidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New PostulanteEspecialidadDbHelper
    End Sub

    Public Sub New(ByVal entity As PostulanteEspecialidad)
        MyBase.New(entity)
        DbHelper = New PostulanteEspecialidadDbHelper
    End Sub

    Public Sub New(ByVal idPostulanteEspecialidad As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPostulanteEspecialidad = idPostulanteEspecialidad
        Dim Entity_Aux As PostulanteEspecialidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As PostulanteEspecialidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As PostulanteEspecialidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New PostulanteEspecialidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, PostulanteEspecialidadDbHelper)
    End Function

    Public Shared Function GetListPostulanteEspecialidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEspecialidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListPostulanteEspecialidadByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEspecialidad)
        Return GetDdHelperInstance.GetListPostulanteEspecialidadByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
